Skip to main content

Download Decontamination File

Download the file that has completed decontamination processing.
SuccessReturns a file binary stream, andOn FailureReturns an error message in JSON format.

info

Important Notes

  • Prerequisite: mustStatus Inquiry API(GET /v5/cdr/{jobID}Response of )codea**0(Success)or1(Exception/Original Import)**It should only be called when it is.
  • Blocked Files: Blocked files by policy (code: 2cannot be downloaded.
  • Expiration: Files that have passed the server's file retention period are automatically deleted and cannot be downloaded (code: -2). A re-request is needed.

1. API Overview

1.1 API List

Provides files that have been processed (either sanitized or imported as original due to policy exceptions).

MethodAPIExplanation
GET/v5/download/{jobID}Please request the download of the CDR file.

Base URL

http://{IP or domain}:{PORT}
itemContent
Default Port8060(It can be configured to port 80 depending on the environment)
encodingUTF-8
warning

Important

  • GET /v5/cdrAfter status inquiry (or synchronous deactivation response)codevalue is**0(Success)or1(Exception)**only in case/v5/downloadcalls.

  • Downloads are not provided for blocked files.


2. File Download

2.1 API Information

GET /v5/download/{jobID}

Request Path Parameter

FieldTypeRequiredDescription
jobIDStringYID for the decontamination request task. Use the value assigned at the time of the request or the value returned in the request response. Maximum 36 characters.

2.2 Successful Response (File Download)

Provides the processed file. (If it has been decontaminated or brought in as an exception to the policy)

itemvalue
HTTP Status200 OK
Content-Typeapplication/octet-stream
BodyBinary Data (File Body)
EncodingUTF-8

code: 1In the case of (policy exceptions), the original file that has not been sanitized will be returned.

2.3 Failure Response (JSON)

This code only occurs when the download is not possible. This includes cases where it has been blocked by policy, or the file has been removed due to expiration of the retention period.

itemvalue
HTTP Status200 OK
Content-Typeapplication/json
FieldTypeDescription
jobIDStringID for the decontamination request task
codeIntegerResult of the download request
msgStringcodeDescription message about

code

codeDescription
5Reject invalid requests
3In the case of decontamination in progress
2Download not possible due to file blocking by policy
-1An unknown error has occurred (unable to download)
-2If there are no files to download (removed after the file retention period on the server has passed. A new harmless request is needed)

2.4 Sample

REQUEST

curl -X GET "http://{IP}:8060/v5/download/test-job-001" -O -J

RESPONSE — Success

  • The file binary will be returned. (Content-Type: application/octet-stream)

RESPONSE — Blocked File (code 2)

{
"jobID": "test-job-001",
"code": 2,
"msg": "정책에 의한 파일 차단으로 다운로드 불가"
}

RESPONSE — In Progress (code 3)

{
"jobID": "test-job-001",
"code": 3,
"msg": "무해화가 진행중인 경우"
}

RESPONSE — No file (code -2)

{
"jobID": "test-job-001",
"code": -2,
"msg": "다운로드 할 파일이 없는 경우"
}